Description

When importing symbols into Style library, there's a field to indicate the group to which symbols belong.

    -  If you enter an existing group name, symbols will go there.

    -  If the field is empty, the imported symbols will be grouped in a new group named as the imported file.

    -  If you enter a name of a group that doesn't exist, imported file name will still be used instead of the name entered.

Given that case 2 shows that it's possible to create a new group from this dialog, I think in the case 3, it should create the group with the

name typed.

Associated revisions

Revision 284704ab - 2016-01-08 12:24 AM - Sebastian Dietrich 

[StyleManager] Respect the entered group name when importing symbols

(fixes #14048)

Revision 8d105ff8 - 2016-01-09 10:37 AM - Nyall Dawson

Merge pull request #2649 from SebDieBln/StyleManager_ImportGroupName

[StyleManager] Respect entered groupname when importing symbols (fixes #14048)

History

#1 - 2016-01-07 02:56 PM - Sebastian Dietrich

Harrissou Santanna wrote:

    -  If the field is empty, the imported symbols will be grouped in a new group named as the imported file.

    -  If you enter a name of a group that doesn't exist, imported file name will still be used instead of the name entered.

This is not the whole truth. The name used is the name that was in the combo-box before the user edited it. If you select an existing group foo-group and

delete its name from the combobox or change it, the symbols will be imported to foo-group.

So while the combobox actually allows editing, this is not taken into account by the import routine.

#2 - 2016-01-07 03:59 PM - Sebastian Dietrich

See PR 2649 for a solution that additionally allows importing symbols without adding them to a group.
https://github.com/qgis/QGIS/pull/2649


#3 - 2016-01-09 01:37 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"8d105ff8f998bdf3426088d648cd75220b0b469c".
